function [ speeds ] = controlRobot( XP, YP, Theta )
XT=1; YT=1;
maxSpeed=3;
diffSpeed=0.1;
goalDistLimit=0.1;
%speeds = [maxSpeed-diffSpeed maxSpeed+diffSpeed];

goalDist=sqrt((XT-XP)^2 + (YT-YP)^2);
goalOrient=atan2(YT-YP,XT-XP) - atan2(sin(Theta), cos(Theta));
diffSpeed=diffSpeed*goalOrient;

prevGD=evalin('base','prevGD');
assignin('base','prevGD',goalDist);

speeds = [maxSpeed-diffSpeed maxSpeed+diffSpeed goalDist prevGD];

if (goalDistLimit >= goalDist && goalDist >= prevGD)
    speeds = [0 0 goalDist prevGD];
end

sensors=evalin('base', 'sensors');

end

